LinuxQuestions.org
Latest LQ Deal: Complete CCNA, CCNP & Red Hat Certification Training Bundle
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 01-05-2004, 06:03 PM   #1
JMK
Member
 
Registered: Nov 2003
Posts: 151

Rep: Reputation: 30
running gdesklets


thanks for the link to get it installed but now i have installed some sensors and when i run gdesklets from the terminal its says load your sensors into the file manager....

any help getting going would be greatful
 
Old 01-05-2004, 06:20 PM   #2
h/w
Senior Member
 
Registered: Mar 2003
Location: New York, NY
Distribution: Debian Testing
Posts: 1,286

Rep: Reputation: 46
run the installer (you know, ./whateveristhefilename).
then just run "gdesklets &". thats it.

to have it running once X starts, just put "gdesklets &" in ur .xsession or whatever file.
 
Old 01-05-2004, 06:27 PM   #3
JMK
Member
 
Registered: Nov 2003
Posts: 151

Original Poster
Rep: Reputation: 30
right i installed the starter bar and its says cant run cause may not be installed should i update to python 2.3 ?
 
Old 01-05-2004, 06:29 PM   #4
h/w
Senior Member
 
Registered: Mar 2003
Location: New York, NY
Distribution: Debian Testing
Posts: 1,286

Rep: Reputation: 46
cos "what" may not be installed? if the program was installed, then it shouldnt be an issue of py2.2/2.3
 
Old 01-05-2004, 06:31 PM   #5
JMK
Member
 
Registered: Nov 2003
Posts: 151

Original Poster
Rep: Reputation: 30
this is the error im getting when run in terminal

[j@dhcp-194-1670153 starterbar-desklet-0.20]$ gdesklets starterbar.display
Python 2.3 is recommended.
Python 2.2 might result in unexpected behavior!

gDesklets 0.20
Copyright ? 2003 Martin Grimme, Christian Meyer, Jesse Andrews

This software is licensed under the terms of the GNU GPL.

Added /home/j/Downloads/disklets/starterbar-desklet-0.20/starterbar.display.
[j@dhcp-194-1670153 starterbar-desklet-0.20]$
 
Old 01-05-2004, 06:42 PM   #6
h/w
Senior Member
 
Registered: Mar 2003
Location: New York, NY
Distribution: Debian Testing
Posts: 1,286

Rep: Reputation: 46
hmm yeah, try py2.3 then.

p.s: ignore this one, read the next.

Last edited by h/w; 01-05-2004 at 06:44 PM.
 
Old 01-05-2004, 06:43 PM   #7
h/w
Senior Member
 
Registered: Mar 2003
Location: New York, NY
Distribution: Debian Testing
Posts: 1,286

Rep: Reputation: 46
first up, u only need to type "gdesklets". i didnt make a mistake above by leaving something out.

secondly, you might wanna get py2.3 anyways to stop seeing recommendation msgs. like those.
 
Old 01-05-2004, 06:46 PM   #8
JMK
Member
 
Registered: Nov 2003
Posts: 151

Original Poster
Rep: Reputation: 30
right ill try that then

by the way after running gdesklets how do i get the sensor to work cause there no windows or anything
 
Old 01-05-2004, 06:49 PM   #9
h/w
Senior Member
 
Registered: Mar 2003
Location: New York, NY
Distribution: Debian Testing
Posts: 1,286

Rep: Reputation: 46
it's really simple - all you gots to do is ./INSTALLXXX.bin.
then type in "gdesklets". and itll bring it up.
 
Old 01-05-2004, 06:53 PM   #10
JMK
Member
 
Registered: Nov 2003
Posts: 151

Original Poster
Rep: Reputation: 30
lol ah right with you now sheesh !
 
Old 01-05-2004, 06:56 PM   #11
h/w
Senior Member
 
Registered: Mar 2003
Location: New York, NY
Distribution: Debian Testing
Posts: 1,286

Rep: Reputation: 46
hope that worked.
 
Old 01-06-2004, 03:31 PM   #12
JMK
Member
 
Registered: Nov 2003
Posts: 151

Original Poster
Rep: Reputation: 30
got another problem. i installed python 2.3 and now i get this when i try run gdesklets

Traceback (most recent call last):
File "/usr/local/bin/gdesklets", line 4, in ?
from main import HOME
File "/usr/local/share/gdesklets/main/__init__.py", line 39, in ?
import gnome.ui
ImportError: No module named gnome.ui
 
Old 01-06-2004, 03:39 PM   #13
h/w
Senior Member
 
Registered: Mar 2003
Location: New York, NY
Distribution: Debian Testing
Posts: 1,286

Rep: Reputation: 46
it could be that because you had installed it earlier for py2.2, and now python is pointing to py2.3
the easiest solution would be to run the gdesklets installer again (which will be for py2.3)
 
Old 01-06-2004, 03:43 PM   #14
JMK
Member
 
Registered: Nov 2003
Posts: 151

Original Poster
Rep: Reputation: 30
i tried that one and still get the same errors
 
Old 01-06-2004, 04:53 PM   #15
h/w
Senior Member
 
Registered: Mar 2003
Location: New York, NY
Distribution: Debian Testing
Posts: 1,286

Rep: Reputation: 46
http://gnomesupport.org/forums/viewt...375c27b89eb3d0
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
gdesklets rdmenotte Linux - Software 2 02-16-2005 01:54 PM
gDesklets .3 on FC2 - problems with running displays niteshadw Linux - Software 0 09-19-2004 04:39 PM
gDesklets FXRS Fedora 6 11-15-2003 04:07 AM
GDeskLets rdanda Libranet 2 10-21-2003 12:55 PM
Help with gdesklets please... moisvon Linux - Software 1 09-23-2003 10:47 AM


All times are GMT -5. The time now is 02:09 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration